<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Signify
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php
		$header_image = signify_featured_overall_image();

		$header_page_title_position = get_theme_mod( 'signify_header_media_title_position', 'on-header-image' );
		
		if ( 'below-header-image' === $header_page_title_position || 'disable' === $header_image || is_front_page() ) : ?>
			<?php 
			$single_page_title = get_theme_mod( 'signify_single_page_title', 1 );

			if ( ! $single_page_title ) { ?>
				<header class="entry-header">
					<?php the_title( '<h1 class="entry-title section-title screen-reader-text">', '</h1>' ); ?>
				</header><!-- .entry-header -->
			<?php } else { ?>
				<header class="entry-header">
					<?php the_title( '<h1 class="entry-title section-title">', '</h1>' ); ?>
				</header><!-- .entry-header -->
		<?php }
		?>


	<?php endif; ?>
	<?php signify_single_image(); ?>

	<div class="entry-content">

		<?php
			the_content();

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'signify-pro' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<?php if ( get_edit_post_link() ) : ?>
		<footer class="entry-footer">
			<div class="entry-meta">
				<?php
					edit_post_link(
						sprintf(
							wp_kses(
								/* translators: %s: Name of current post. Only visible to screen readers */
								__( 'Edit <span class="screen-reader-text">%s</span>', 'signify-pro' ),
								array(
									'span' => array(
										'class' => array(),
									),
								)
							),
							get_the_title()
						),
						'<span class="edit-link">',
						'</span>'
					);
				?>
			</div><!-- .entry-meta -->
		</footer><!-- .entry-footer -->
	<?php endif; ?>
</article><!-- #post-<?php the_ID(); ?> -->
